Skip to main content
GET
/
signing-requests
/
{id}
Get Signing Request
curl --request GET \
  --url https://api.firma.dev/functions/v1/signing-request-api/signing-requests/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "template_description": "<string>",
  "companies_workspaces_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "document_url": "<string>",
  "document_url_expires_at": "2023-11-07T05:31:56Z",
  "document_page_count": 2,
  "expiration_hours": 123,
  "expires_at": "2023-11-07T05:31:56Z",
  "credit_cost": 123,
  "status": {
    "sent": true,
    "finished": true,
    "cancelled": true,
    "declined": true,
    "expired": true
  },
  "timestamps": {
    "created_on": "2023-11-07T05:31:56Z",
    "sent_on": "2023-11-07T05:31:56Z",
    "finished_on": "2023-11-07T05:31:56Z",
    "cancelled_on": "2023-11-07T05:31:56Z",
    "declined_on": "2023-11-07T05:31:56Z",
    "last_changed_on": "2023-11-07T05:31:56Z",
    "last_signing_action_on": "2023-11-07T05:31:56Z"
  },
  "settings": {
    "allow_download": true,
    "attach_pdf_on_finish": true,
    "allow_editing_before_sending": false,
    "use_signing_order": false,
    "hand_drawn_only": false,
    "send_signing_email": true,
    "send_finish_email": true,
    "send_expiration_email": true,
    "send_cancellation_email": true,
    "require_otp_verification": null
  },
  "use_signing_order": 0,
  "allow_download": 0,
  "allow_editing_before_sending": 0,
  "hand_drawn_only": 0,
  "attach_pdf_on_finish": 0,
  "certificate": {
    "generated": true,
    "generated_on": "2023-11-07T05:31:56Z",
    "has_error": true
  },
  "final_document_download_url": "<string>",
  "final_document_download_error": "file_not_accessible",
  "document_only_download_url": "<string>",
  "document_only_download_error": "file_not_accessible",
  "certificate_only_download_url": "<string>",
  "certificate_only_download_error": "file_not_accessible"
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Response

Signing request retrieved successfully. Returns a detailed nested shape with status as an object and timestamps grouped together.

Detailed signing request as returned by GET /signing-requests/{id} (nested shape with status object and timestamps)

id
string<uuid>

Unique identifier for the signing request

name
string

Signing request name

template_description
string | null

Description from the template

companies_workspaces_id
string<uuid>

Workspace ID this signing request belongs to

document_url
string<uri>

Pre-signed URL to the PDF document

document_url_expires_at
string<date-time> | null
document_page_count
integer

Number of pages in the document

Required range: x >= 1
expiration_hours
integer

Hours until signing request expires

expires_at
string<date-time> | null

ISO 8601 timestamp when the signing request expires. Computed from sent_on + expiration_hours. Null if not sent yet or no expiration_hours set.

credit_cost
integer

Credits consumed when sent

status
object

Status flags (multiple can be true for terminal states)

timestamps
object

All relevant timestamps for the signing request lifecycle

settings
object

Signing request and template settings. All 9 fields are returned by every endpoint that includes settings.

use_signing_order
enum<integer>
deprecated
Available options:
0,
1
allow_download
enum<integer>
deprecated
Available options:
0,
1
allow_editing_before_sending
enum<integer>
deprecated
Available options:
0,
1
hand_drawn_only
enum<integer>
deprecated
Available options:
0,
1
attach_pdf_on_finish
enum<integer>
deprecated
Available options:
0,
1
certificate
object

Certificate generation status information

final_document_download_url
string<uri> | null

Signed URL to download the final signed document (PDF with certificate). URL expires after 1 hour.

final_document_download_error
enum<string> | null
Available options:
file_not_accessible,
null
document_only_download_url
string<uri> | null

Signed URL to download the document-only PDF. URL expires after 1 hour.

document_only_download_error
enum<string> | null
Available options:
file_not_accessible,
null
certificate_only_download_url
string<uri> | null

Signed URL to download the certificate-only PDF. URL expires after 1 hour.

certificate_only_download_error
enum<string> | null
Available options:
file_not_accessible,
null